foundation-0.0.30: Alternative prelude with batteries and no dependencies

Safe Haskell | None
Language | Haskell2010

Foundation.Time.StopWatch

Synopsis

- data StopWatchPrecise
- startPrecise :: IO StopWatchPrecise
- stopPrecise :: StopWatchPrecise -> IO NanoSeconds

# Documentation

data StopWatchPrecise Source #

A precise stop watch

The precision is higher than a normal stopwatch, but also on some system it might not be able to record longer period of time accurately (possibly wrapping)

startPrecise :: IO StopWatchPrecise Source #

Create a new precise stop watch

record the time at start of call

stopPrecise :: StopWatchPrecise -> IO NanoSeconds Source #

Get the number of nano seconds since the call to `startPrecise`